lparameters tcProject
local loProject, ;
	lcProject
private pcDirectory		&& private so the Zip*File routines can see it

* Create an SFProjectUtils object, associate an SFZipUtilsWinZip object with
* it, specify the project we're working with, and get the directory for that
* project.

loProject = newobject('SFProjectUtils', 'SFProject.vcx')
loProject.oZip = newobject('SFZipUtilsWinZip', 'SFZip.vcx')
loProject.oZip.cZIPProgram = 'D:\Program Files\WinZip\WINZIP32.EXE'
loProject.cProject = tcProject
lcProject = loProject.cProject
if empty(lcProject)
	return
endif empty(lcProject)
pcDirectory = addbs(justpath(lcProject))

* Nuke any existing zip files, then create the source and library zip files.

erase (pcDirectory + 'source.zip')
erase (pcDirectory + 'library.zip')
loProject.ZipProject(pcDirectory + 'source.zip',  'ZipSourceFile(toFile)')
loProject.ZipProject(pcDirectory + 'library.zip', 'ZipLibraryFile(toFile)')

* This routine determines if a file can be added to the source zip file. We'll
* accept the project file (toFile.cType = "p"), application file (blank
* toFile.cType), or any file in the project directory or a subdirectory of it.

function ZipSourceFile
lparameters toFile
return toFile.cType = 'p' or empty(toFile.cType) or ;
	addbs(justpath(toFile.cFileName)) = pcDirectory

* This routine determines if a file can be added to the library zip file. We'll
* only accept files that aren't in the project directory or a subdirectory of
* it.

function ZipLibraryFile
lparameters toFile
return addbs(justpath(toFile.cFileName)) <> pcDirectory
