lparameters tcProject
local loProject, ;
	lcProject, ;
	lnSelect
* private so the Zip*File routines can see it
private pcDirectory, ;
	ptLastTimeZipWasMade

* Create an SFProjectUtils object, associate an SFZipUtilsWinZip object with
* it, specify the project we're working with, and get the directory for that
* project.

loProject = newobject('SFProjectUtils', 'SFProject.vcx')
loProject.oZip = newobject('SFZipUtilsWinZip', 'SFZip.vcx')
loProject.oZip.cZIPProgram = "d:\PROGRAM FILES\WINZIP\WINZIP32.EXE"
loProject.cProject = tcProject
lcProject = loProject.cProject
if empty(lcProject)
	return
endif empty(lcProject)

pcDirectory = addbs(justpath(lcProject))

lnSelect = select()
if !file(pcDirectory + "MIZIPPER.DBF")
  *First time file is created, zip all files.
	create table (pcDirectory + "mizipper.dbf") free (tLastZip T, cProject c(128))
endif
if !used("mizipper")
	select 0
	use (pcDirectory + 'mizipper')
endif

locate for alltrim(upper(cProject)) == alltrim(upper(tcProject))
if !found()
  cProject = tcProject
  tLastZip = {}
  insert into mizipper from memvar
endif
ptLastTimeZipWasMade = tLastZip
use

* Nuke any existing zip files, then create the new zip file.

lcZipFile = pcDirectory+juststem(lcProject)+".zip"
erase (lcZipFile)
loProject.ZipProject(lcZipFile, 'ZipSourceFile(toFile)')
if loProject.oZip.nFiles = 0
	messagebox('No files have changed since the last time.')
else
	select 0
	use (pcDirectory + 'mizipper')
	locate for alltrim(upper(cProject)) == alltrim(upper(tcProject))
	replace tLastZip with datetime()
	use
	select (lnSelect)
endif loProject.oZip.nFiles = 0
return

* This routine determines if a file can be added to the source zip file. We'll
* zip any file that's been changed since the last time we zipped files.

function ZipSourceFile
lparameters toFile
return toFile.tModified > ptLastTimeZipWasMade
